from flask import Flask
from flask import render_template
from flask import request
from MagLev import MagLev


app = Flask(__name__)

maglev = MagLev()


@app.route("/")
def hello():
    global maglev
    left = render_template("left.html")
    main = render_template("main.html")
    return render_template("index.html", left=left, main=main)


@app.route("/com", methods=["POST"])
def com():
    global maglev
    name = ""
    if request.method == "POST":
        name = request.form["name"]
        maglev.open_com(name)
    return "Open {}".format(name)


@app.route("/com_close")
def com_close():
    global maglev
    maglev.close_com()
    return "Close"


@app.route("/ctrl_set", methods=["POST"])
def ctrl_set():
    global maglev
    maglev.set_ctrl(request.form)
    return " "

@app.route("/get_state")
def get_state():
    global  maglev
    return maglev.get_state()


@app.route("/set_skip", methods=["POST"])
def set_skip():
    global maglev
    if request.method == "POST":
        skip = request.form["skip"]
        skip = int(skip)
        maglev.skip = skip
        print(maglev.skip)
    return " "
